Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.dvcs
Class Data

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.dvcs.Data

All Implemented Interfaces:
  ASN1Choice, ASN1Encodable, Encodable

public class Data
extends ASN1Object
implements ASN1Choice

Data ::= CHOICE { message OCTET STRING , messageImprint DigestInfo, certs [0] SEQUENCE SIZE (1..MAX) OF TargetEtcChain }

Constructor Summary
`Data(ASN1OctetString message)`
`Data(byte[] messageBytes)`
`Data(DigestInfo messageImprint)`
`Data(TargetEtcChain cert)`
`Data(TargetEtcChain[] certs)`

Method Summary
`TargetEtcChain[]` | `getCerts()`
`static Data` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static Data` | `getInstance(java.lang.Object obj)`
`ASN1OctetString` | `getMessage()`
`DigestInfo` | `getMessageImprint()`
`ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.
`java.lang.String` | `toString()`

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Data

    public Data(byte[] messageBytes)

### Data

    public Data(ASN1OctetString message)

### Data

    public Data(DigestInfo messageImprint)

### Data

    public Data(TargetEtcChain cert)

### Data

    public Data(TargetEtcChain[] certs)

Method Detail

### getInstance

    public static Data getInstance(java.lang.Object obj)

### getInstance

    public static Data getInstance(ASN1TaggedObject obj,
                                   boolean explicit)

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Description copied from class: `ASN1Object`
  Method providing a primitive representation of this object suitable for encoding.

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

### toString

    public java.lang.String toString()

### getMessage

    public ASN1OctetString getMessage()

### getMessageImprint

    public DigestInfo getMessageImprint()

### getCerts

    public TargetEtcChain[] getCerts()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD